Loading...
Searching...
No Matches
RDKit::GaussianShape::ShapeOverlayOptions Struct Reference

`#include <ShapeOverlayOptions.h>`

## Public Attributes

StartMode | startMode {StartMode::A_LA_PUBCHEM}
OptimMode | optimMode
double | simAlpha
| Optimisation mode.
double | simBeta {1.0}
double | optParam {0.5}
| When doing a Tversky similarity, the beta value.
int | nSteps {100}
bool | normalize
| Maximum number of steps for optimiser to take.
bool | useDistCutoff
double | distCutoff {4.5}
| Whether to use a distance cutoff for the volume calculation.
double | shapeConvergenceCriterion

## Detailed Description

Definition at line 49 of file ShapeOverlayOptions.h.

## Member Data Documentation

## distCutoff

double RDKit::GaussianShape::ShapeOverlayOptions::distCutoff {4.5}

Whether to use a distance cutoff for the volume calculation.

Definition at line 76 of file ShapeOverlayOptions.h.

## normalize

bool RDKit::GaussianShape::ShapeOverlayOptions::normalize

Initial value:
{
true}

Maximum number of steps for optimiser to take.

Definition at line 70 of file ShapeOverlayOptions.h.

## nSteps

int RDKit::GaussianShape::ShapeOverlayOptions::nSteps {100}

If using colors, the relative weights of shape and color scores.

Definition at line 68 of file ShapeOverlayOptions.h.

## optimMode

OptimMode RDKit::GaussianShape::ShapeOverlayOptions::optimMode

Initial value:
{
OptimMode::SHAPE_PLUS_COLOR_SCORE}

Definition at line 55 of file ShapeOverlayOptions.h.

## optParam

double RDKit::GaussianShape::ShapeOverlayOptions::optParam {0.5}

When doing a Tversky similarity, the beta value.

Definition at line 66 of file ShapeOverlayOptions.h.

## shapeConvergenceCriterion

double RDKit::GaussianShape::ShapeOverlayOptions::shapeConvergenceCriterion

Initial value:
{
0.001}

The distance cutoff. If 2 atoms are more than this distance apart, they are not included in the volume calculation. A smaller value is faster but less precise.

Definition at line 80 of file ShapeOverlayOptions.h.

## simAlpha

double RDKit::GaussianShape::ShapeOverlayOptions::simAlpha

Initial value:
{
1.0}

Optimisation mode.

Definition at line 57 of file ShapeOverlayOptions.h.

## simBeta

double RDKit::GaussianShape::ShapeOverlayOptions::simBeta {1.0}

When doing a Tversky similarity, the alpha value. If alpha and beta are both the default 1.0, it's a Tanimoto similarity. A high alpha and low beta emphasize the fit volume in the similarity and vice versa. Tversky is O / (A * (R - O) + B * (F

- O) + O) where O is the overlap volume, R is the reference's volume and F is the fit's volume. This is different from that used by OpenEye (O / (A * R + B * F)).

Definition at line 65 of file ShapeOverlayOptions.h.

## startMode

StartMode RDKit::GaussianShape::ShapeOverlayOptions::startMode {StartMode::A_LA_PUBCHEM}

Different modes for starting the optimisation. Default is as used by the PubChem code. The molecules are normalized so the principal axes are along the cartesian axes rather than the shape quadrupole axes as Grant et al. did.

Definition at line 54 of file ShapeOverlayOptions.h.

## useDistCutoff

bool RDKit::GaussianShape::ShapeOverlayOptions::useDistCutoff

Initial value:
{
true}

Whether to normalise the shapes by putting them into their canonical conformations (centred at the origin, aligned along its principal axes) before starting.

Definition at line 74 of file ShapeOverlayOptions.h.

The documentation for this struct was generated from the following file:

- ShapeOverlayOptions.h